restinio::const_buffer_t Struct Reference

Helper class for setting a constant buffer storage explicitly. More...

`#include <buffers.hpp>`

## Public Member Functions

constexpr | const_buffer_t (const void *str, std::size_t size) noexcept

## Public Attributes

const void *const | m_str
const std::size_t | m_size

## Detailed Description

Helper class for setting a constant buffer storage explicitly.

Definition at line 408 of file buffers.hpp.

## Constructor & Destructor Documentation

## const_buffer_t()

constexpr restinio::const_buffer_t::const_buffer_t | ( | const void * | str,
|  | std::size_t | size
| ) |  |

inlineconstexprnoexcept

Definition at line 410 of file buffers.hpp.

## Member Data Documentation

## m_size

const std::size_t restinio::const_buffer_t::m_size

Definition at line 418 of file buffers.hpp.

## m_str

const void* const restinio::const_buffer_t::m_str

Definition at line 417 of file buffers.hpp.

The documentation for this struct was generated from the following file:

- restinio/buffers.hpp